clang 8.0.0

Public Member Functions | List of all members
clang::ento::MemRegionVisitor< ImplClass, RetTy > Class Template Reference

MemRegionVisitor - this class implements a simple visitor for MemRegion subclasses. More...

`#include "clang/StaticAnalyzer/Core/PathSensitive/SValVisitor.h"`

Inheritance diagram for clang::ento::MemRegionVisitor< ImplClass, RetTy >:
[legend]

## Public Member Functions
RetTy | Visit (const MemRegion *R)
RetTy | VisitMemRegion (const MemRegion *R)

## Detailed Description

### template<typename ImplClass, typename RetTy = void>
class clang::ento::MemRegionVisitor< ImplClass, RetTy >

MemRegionVisitor - this class implements a simple visitor for MemRegion subclasses.

Definition at line 106 of file SValVisitor.h.

## Member Function Documentation

## ◆ Visit()

template<typename ImplClass, typename RetTy = void>

RetTy clang::ento::MemRegionVisitor< ImplClass, RetTy >::Visit | ( | const MemRegion * | R | ) |
| inline

Definition at line 112 of file SValVisitor.h.

## ◆ VisitMemRegion()

template<typename ImplClass, typename RetTy = void>

RetTy clang::ento::MemRegionVisitor< ImplClass, RetTy >::VisitMemRegion | ( | const MemRegion * | R | ) |
| inline

Definition at line 130 of file SValVisitor.h.

The documentation for this class was generated from the following file:

- include/clang/StaticAnalyzer/Core/PathSensitive/SValVisitor.h